<?xml version="1.0" encoding="utf-8"?>
<!--

CraneUN380Invoice.xsl - importable stylesheet fragment
CraneUN380Invoice.fo  - fragment synthesis source
                      - $Revision: 2.12 $$Date: 2005/11/15 03:32:27 $(UTC)
-->
<!--
Copyright (C) - Crane Softwrights Ltd.
              - http://www.CraneSoftwrights.com/links/res-un-s.htm

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice,
  this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice,
  this list of conditions and the following disclaimer in the documentation
  and/or other materials provided with the distribution.
- The name of the author may not be used to endorse or promote products
  derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN
NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Note: for your reference, the above is the "Modified BSD license", this text
      was obtained 2003-07-26 at http://www.xfree86.org/3.3.6/COPYRIGHT2.html#5
-->
<!--

    Note that this is a synthesized stylesheet, not a manually-authored
    stylesheet.  The ResultXSLT(tm) result-tree annotation environment read
    a prototypical XSL-FO instance of the output and created this importable
    stylesheet for use by an importing stylesheet that can support any data
    vocabulary of the required information.

    Please see the documentation on this importable stylesheet for
    guidelines on writing a compatible importing stylesheet in order to
    take advantage of this stylesheet with any other importing stylesheet.

Source: 
  $Id: CraneUN380Invoice.fo,v 2.12 2005/11/15 03:32:27 G. Ken Holman Exp $
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xst="http://www.w3.org/1999/XSL/Transform" xmlns:un-in="http://www.CraneSoftwrights.com/ns/unlk/in" xmlns:un-out="http://www.CraneSoftwrights.com/ns/unlk/out" xmlns="http://www.w3.org/1999/XSL/Format" version="1.0" exclude-result-prefixes="un-in un-out">

   <xsl:variable name="short-page-edge" select="'210mm'"/>
   <xsl:variable name="long-page-edge" select="'297mm'"/>
   <xsl:variable name="line-item-border" select="'none'"/>

<!--Root: default processing for the root node-->
   <xsl:template match="/">
      <xsl:call-template name="un-out:start-up"/>
   </xsl:template>

<!--Branch: start-up-->
   <xsl:template name="un-out:start-up">
      <xsl:call-template name="un-in:start-up"/>
   </xsl:template>
   <xsl:template name="un-in:start-up">
      <root font-family="Times" font-size="10pt" line-height="1.1">
         <layout-master-set>
            <xsl:call-template name="un-out:page-geometry"/>
         </layout-master-set>
         <page-sequence master-reference="layout">
            <xsl:call-template name="un-out:page-sequence-title"/>
            <xsl:call-template name="un-out:background-first-page"/>
            <xsl:call-template name="un-out:background-other-pages"/>
            <flow flow-name="body">
               <xsl:call-template name="un-out:line-item-flow"/>
            </flow>
         </page-sequence>
      </root>
   </xsl:template>

<!--Branch: page-geometry-->
   <xsl:template name="un-out:page-geometry">
      <xsl:call-template name="un-in:page-geometry"/>
   </xsl:template>
   <xsl:template name="un-in:page-geometry">
      <simple-page-master master-name="firstpage" page-width="{$short-page-edge}" page-height="{$long-page-edge}" margin-top="5mm" margin-left="10mm" margin-bottom="{$long-page-edge} - 5mm - 5mm - 262mm">
         <region-body region-name="body" margin-left="10mm" margin-top="5mm + (262mm div 32)*16 + 4mm" margin-bottom="(262mm div 32)*8"/>
         <region-before region-name="first" extent="262mm + 5mm + 5mm + 5mm"/>
      </simple-page-master>
      <simple-page-master master-name="restpages" page-width="{$short-page-edge}" page-height="{$long-page-edge}" margin-top="5mm" margin-left="10mm" margin-bottom="{$long-page-edge} - 5mm - 5mm - 262mm">
         <region-body region-name="body" margin-left="10mm" margin-top="5mm + (262mm div 32)*6 + 4mm" margin-bottom="(262mm div 32)*0"/>
         <region-before region-name="rest" extent="262mm + 5mm + 5mm + 5mm"/>
      </simple-page-master>
      <page-sequence-master master-name="layout">
         <single-page-master-reference master-reference="firstpage"/>
         <repeatable-page-master-reference master-reference="restpages"/>
      </page-sequence-master>
   </xsl:template>

<!--Branch: page-sequence-title-->
   <xsl:template name="un-out:page-sequence-title">
      <xsl:call-template name="un-in:page-sequence-title"/>
   </xsl:template>
   <xsl:template name="un-in:page-sequence-title">
      <title>UN380Invoice.fo</title>
   </xsl:template>

<!--Branch: background-first-page-->
   <xsl:template name="un-out:background-first-page">
      <xsl:call-template name="un-in:background-first-page"/>
   </xsl:template>
   <xsl:template name="un-in:background-first-page">
      <static-content flow-name="first">
<!--draw the entire table as a background to the flow used for line items-->
         <table width="183mm + 10mm" table-layout="fixed">
            <table-column column-width="10mm"/>
            <table-column column-width="183mm div 2" number-columns-repeated="2"/>
            <table-body>
               <xsl:call-template name="un-out:titling"/>
               <table-row>
                  <table-cell number-columns-spanned="2" number-rows-spanned="2">
                     <table table-layout="fixed" width="183mm">
                        <table-column column-width="( 183mm div 16 )" number-columns-repeated="16"/>
                        <xsl:call-template name="un-out:form-header"/>
                        <table-body>
                           <table-row height="( 262mm div 32 ) * 1">
                              <table-cell number-rows-spanned="2" number-columns-spanned="8" border="solid 1pt" border-end-style="none" border-after-style="none">
                                 <block-container height="2 * ( 262mm div 32 ) -1pt" width="8 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block>
                                          <leader/>
                                       </block>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="1" number-columns-spanned="2" border="solid 1pt" border-end-style="none" border-after-style="none">
                                 <block-container height="1 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt">Buyer bank</block>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="1" number-columns-spanned="6" border="solid 1pt" border-start-style="none" border-after-style="none">
                                 <block-container height="1 * ( 262mm div 32 ) -1pt" width="7 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <xsl:call-template name="un-out:buyer-bank"/>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                           </table-row>
                           <table-row height="( 262mm div 32 ) * 1">
                              <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt" background-color="#e8e8e8" border-after-style="none" border-end-style="none">
                                 <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt">Country of origin</block>
                                       <block>
                                          <leader/>
                                       </block>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt" background-color="#e8e8e8" border-after-style="none">
                                 <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt">Country of destination</block>
                                       <block>
                                          <leader/>
                                       </block>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                           </table-row>
                           <table-row height="( 262mm div 32 ) * 1">
                              <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt" background-color="#e8e8e8" border-end-style="none" border-after-style="none">
                                 <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt">Mode of transport</block>
                                       <block>
                                          <leader/>
                                       </block>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt" background-color="#e8e8e8" border-end-style="none" border-after-style="none">
                                 <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt">Date of despatch</block>
                                       <block>
                                          <leader/>
                                       </block>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="2" number-columns-spanned="4" border="solid 1pt" border-after-style="none" border-end-style="none">
                                 <block-container height="2 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt">Terms of payment</block>
                                       <xsl:call-template name="un-out:payment-terms"/>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="2" number-columns-spanned="4" border="solid 1pt" border-after-style="none" border-start-style="none">
                                 <block-container height="2 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt">Currency of payment</block>
                                       <xsl:call-template name="un-out:payment-currency"/>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                           </table-row>
                           <table-row height="( 262mm div 32 ) * 1">
                              <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt" background-color="#e8e8e8" border-end-style="none" border-after-style="none">
                                 <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt">Means of transport</block>
                                       <block>
                                          <leader/>
                                       </block>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt" background-color="#e8e8e8" border-end-style="none" border-after-style="none">
                                 <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt">Place of despatch</block>
                                       <block>
                                          <leader/>
                                       </block>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                           </table-row>
                           <table-row height="( 262mm div 32 ) * 1">
                              <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt" background-color="#e8e8e8" border-end-style="none" border-after-style="none">
                                 <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt">Vessel/flight No.</block>
                                       <block>
                                          <leader/>
                                       </block>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt" background-color="#e8e8e8" border-end-style="none" border-after-style="none">
                                 <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt">Port of loading</block>
                                       <block>
                                          <leader/>
                                       </block>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="2" number-columns-spanned="4" border="solid 1pt" border-before-style="none" border-end-style="none" border-after-style="none">
                                 <block-container height="2 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt">Seller’s bank</block>
                                       <xsl:call-template name="un-out:seller-bank"/>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="1" number-columns-spanned="2">
                                 <block-container height="1 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt">Sort code</block>
                                       <xsl:call-template name="un-out:sort-code"/>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="1" number-columns-spanned="2" border-end-style="solid" border-end-width="1pt">
                                 <block-container height="1 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt">Account number</block>
                                       <xsl:call-template name="un-out:account-number"/>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                           </table-row>
                           <table-row height="( 262mm div 32 ) * 1">
                              <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt" background-color="#e8e8e8" border-end-style="none" border-after-style="none">
                                 <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt">Port of discharge</block>
                                       <block>
                                          <leader/>
                                       </block>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt" background-color="#e8e8e8" border-end-style="none" border-after-style="none">
                                 <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt">Place of delivery</block>
                                       <block>
                                          <leader/>
                                       </block>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="1" number-columns-spanned="4" border-end-style="solid" border-end-width="1pt">
                                 <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt">Account name</block>
                                       <xsl:call-template name="un-out:account-name"/>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                           </table-row>
                        </table-body>
                        <table-body>
                           <table-row height="( 262mm div 32 ) * 2">
                              <table-cell number-rows-spanned="2" number-columns-spanned="4" border="solid 1pt" border-end-style="none" border-after-style="none" background-color="#e8e8e8">
                                 <block-container height="2 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt">Shipping marks; container number</block>
                                       <block>
                                          <leader/>
                                       </block>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="2" number-columns-spanned="8" border-start-style="none" border-end-style="none" border="solid 1pt" background-color="#e8e8e8" border-after-style="none">
                                 <block-container height="2 * ( 262mm div 32 ) -1pt" width="8 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt">No. and kind of packages; description of goods</block>
                                       <block-container height="1.1em" space-after="1pt">
                                          <block>
                                             <leader/>
                                          </block>
                                       </block-container>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="1" number-columns-spanned="2" border-start-style="none" border-end-style="none" border-after-style="none" border="solid 1pt" background-color="#e8e8e8">
                                 <block-container height="2 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt" text-align="center">Total gross weight (kg)</block>
                                       <block text-align="center">
                                          <leader/>
                                       </block>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="1" number-columns-spanned="2" border-start-style="none" background-color="#e8e8e8" border-after-style="none" border="solid 1pt">
                                 <block-container height="2 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt" text-align="center">Total cube(m<inline baseline-shift=".25em" font-size=".75em">3</inline>)</block>
                                       <block text-align="center">
                                          <leader/>
                                       </block>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                           </table-row>
                           <table-row height="( 262mm div 32 ) * 2">
                              <table-cell number-rows-spanned="1" number-columns-spanned="2" background-color="#e8e8e8">
                                 <block-container height="2 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt" text-align="center">Total net weight (kg)</block>
                                       <block text-align="center">
                                          <leader/>
                                       </block>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="1" number-columns-spanned="2" border-start-style="none" background-color="#e8e8e8" border-before-style="none" border="solid 1pt" border-after-style="none">
                                 <block-container height="2 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block-container height="1.1em" space-after="1pt">
                                          <block>
                                             <leader/>
                                          </block>
                                       </block-container>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                           </table-row>
                        </table-body>
                        <table-body>
                           <xsl:call-template name="un-out:line-item-body"/>
                        </table-body>
                        <table-body>
                           <table-row height="( 262mm div 32 ) * 1">
                              <table-cell number-rows-spanned="8" number-columns-spanned="10" border="solid 1pt" border-end-style="none">
                                 <block-container height="8 * ( 262mm div 32 ) -1pt" width="10 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt">Clauses and / or Notes</block>
                                       <xsl:call-template name="un-out:notes"/>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="1" number-columns-spanned="2" border="solid 1pt" background-color="#e8e8e8" border-start-style="none" border-end-style="none" border-after-style="none">
                                 <block-container height="1 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block>
                                          <leader/>
                                       </block>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="1" number-columns-spanned="2" border="solid 1pt" border-end-style="none" border-after-style="none">
                                 <block-container height="1 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt">Total amount</block>
                                       <xsl:call-template name="un-out:total-amount-currency"/>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="1" number-columns-spanned="2" border="solid 1pt" border-start-style="none" border-after-style="none">
                                 <block-container height="1 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt">
                                          <leader/>
                                       </block>
                                       <xsl:call-template name="un-out:total-amount"/>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                           </table-row>
                           <table-row height="( 262mm div 32 ) * 1">
                              <table-cell number-rows-spanned="1" number-columns-spanned="2" background-color="#e8e8e8">
                                 <block-container height="1 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block>
                                          <leader/>
                                       </block>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="1" number-columns-spanned="2" border="solid 1pt" border-end-style="none" border-after-style="none">
                                 <block-container height="1 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt">Total tax amount</block>
                                       <block text-align="end">
                                          <leader/>
                                       </block>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="1" number-columns-spanned="2" border="solid 1pt" border-start-style="none" border-after-style="none">
                                 <block-container height="1 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt">
                                          <leader/>
                                       </block>
                                       <xsl:call-template name="un-out:tax-amount"/>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                           </table-row>
                           <table-row height="( 262mm div 32 ) * 1">
                              <table-cell number-rows-spanned="1" number-columns-spanned="2" background-color="#e8e8e8">
                                 <block-container height="1 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block>
                                          <leader/>
                                       </block>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="1" number-columns-spanned="2" border="solid 1pt" border-end-style="none" border-after-style="none">
                                 <block-container height="1 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt">Total amount due</block>
                                       <xsl:call-template name="un-out:total-amount-due-currency"/>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="1" number-columns-spanned="2" border="solid 1pt" border-start-style="none" border-after-style="none">
                                 <block-container height="1 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt">
                                          <leader/>
                                       </block>
                                       <xsl:call-template name="un-out:total-amount-due"/>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                           </table-row>
                           <table-row height="( 262mm div 32 ) * 2">
                              <table-cell number-rows-spanned="1" number-columns-spanned="2" border="solid 1pt" border-start-style="none" border-before-style="none" background-color="#e8e8e8" border-end-style="none">
                                 <block-container height="2 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block>
                                          <leader/>
                                       </block>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt" border-start-style="none" background-color="#e8e8e8">
                                 <block-container height="2 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block>
                                          <leader/>
                                       </block>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                           </table-row>
                           <table-row height="( 262mm div 32 ) * 1">
                              <table-cell number-rows-spanned="1" number-columns-spanned="6" border="solid 1pt" border-before-style="none">
                                 <block-container height="1 * ( 262mm div 32 ) -1pt" width="6 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt">Name of signatory</block>
                                       <xsl:call-template name="un-out:signatory"/>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                           </table-row>
                           <table-row height="( 262mm div 32 ) * 1">
                              <table-cell number-rows-spanned="1" number-columns-spanned="6" border="solid 1pt" border-before-style="none" border-after-style="none">
                                 <block-container height="1 * ( 262mm div 32 ) -1pt" width="6 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt">Place and date of issue</block>
                                       <xsl:call-template name="un-out:issue"/>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                           </table-row>
                           <table-row height="( 262mm div 32 ) * 1">
                              <table-cell number-rows-spanned="1" number-columns-spanned="6" border="solid 1pt">
                                 <block-container height="1 * ( 262mm div 32 ) -1pt" width="6 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt">Signature</block>
                                       <block>
                                          <leader/>
                                       </block>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                           </table-row>
                        </table-body>
                     </table>
<!--back to surrounding table-->
                  </table-cell>
               </table-row>
               <table-row>
                  <table-cell display-align="after">
                     <block text-align="end">
                        <xsl:call-template name="un-out:document-number"/>
                     </block>
                  </table-cell>
               </table-row>
            </table-body>
         </table>
      </static-content>
   </xsl:template>

<!--Branch: titling-->
   <xsl:template name="un-out:titling">
      <xsl:call-template name="un-in:titling"/>
   </xsl:template>
   <xsl:template name="un-in:titling">
      <table-row height="5mm">
         <table-cell number-rows-spanned="2" display-align="after" height="262mm - 5mm">
            <block-container reference-orientation="90" width="262mm - 5mm">
               <xsl:call-template name="un-out:meta-data-start"/>
            </block-container>
         </table-cell>
         <table-cell>
            <block>
               <leader/>
            </block>
         </table-cell>
         <table-cell display-align="after">
            <block font-family="Helvetica" font-size="10pt" line-height="1" text-align-last="justify">
               <inline font-weight="bold">INVOICE</inline>
               <inline font-weight="bold" font-size="70%" space-start.conditionality="retain">    RECHNUNG    FACTURE    FACTURA</inline>
               <leader/>
               <xsl:call-template name="un-out:page-number"/>
            </block>
         </table-cell>
      </table-row>
   </xsl:template>

<!--Branch: meta-data-start-->
   <xsl:template name="un-out:meta-data-start">
      <xsl:call-template name="un-in:meta-data-start"/>
   </xsl:template>
   <xsl:template name="un-in:meta-data-start">
      <block font-family="Helvetica" font-size="6pt" space-after="1pt" space-after.conditionality="retain">
         <xsl:call-template name="un-out:caller-identification"/>
         <block>
                    CraneUN380Invoice.xsl
                    <inline>
               <xsl:call-template name="un-out:revision"/>
            </inline>
         </block>
         <block>
            <xsl:call-template name="un-out:url"/>
         </block>
      </block>
   </xsl:template>

<!--Branch: caller-identification-->
   <xsl:template name="un-out:caller-identification">
      <xsl:call-template name="un-in:caller-identification"/>
   </xsl:template>
   <xsl:template name="un-in:caller-identification">
      <block font-style="italic">
                    (raw presentation; no calling stylesheet)
                  </block>
   </xsl:template>

<!--Branch: revision-->
   <xsl:template name="un-out:revision">
      <xsl:call-template name="un-in:revision"/>
   </xsl:template>
   <xsl:template name="un-in:revision">
                       $Revision: 2.12 $$Date: 2005/11/15 03:32:27 $
                    </xsl:template>

<!--Branch: url-->
   <xsl:template name="un-out:url">
      <xsl:call-template name="un-in:url"/>
   </xsl:template>
   <xsl:template name="un-in:url">
      <basic-link external-destination="url(&#34;http://www.CraneSoftwrights.com/links/res-un-f.htm&#34;)">
                    http://www.CraneSoftwrights.com/links/res-un-f.htm
                    </basic-link>
   </xsl:template>

<!--Branch: page-number-->
   <xsl:template name="un-out:page-number">
      <xsl:call-template name="un-in:page-number"/>
   </xsl:template>
   <xsl:template name="un-in:page-number">
      <inline>
                  Page <page-number/> of <page-number-citation ref-id="end"/>
      </inline>
   </xsl:template>

<!--Branch: form-header-->
   <xsl:template name="un-out:form-header">
      <xsl:call-template name="un-in:form-header"/>
   </xsl:template>
   <xsl:template name="un-in:form-header">
      <table-body>
         <table-row height="( 262mm div 32 ) * 1">
            <table-cell number-rows-spanned="3" number-columns-spanned="8" border="solid 1pt" border-end-style="none" border-after-style="none">
               <block-container height="3 * ( 262mm div 32 ) -1pt" width="8 * ( 183mm div 16 ) -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block font-family="Helvetica" font-size="6pt" space-after="1pt">Seller</block>
                     <xsl:call-template name="un-out:seller-party"/>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt" border-end-style="none" border-after-style="none">
               <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block font-family="Helvetica" font-size="6pt" space-after="1pt">Invoice number</block>
                     <xsl:call-template name="un-out:in-number"/>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt" border-after-style="none">
               <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block>
                        <leader/>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 32 ) * 1">
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt" border-end-style="none" border-after-style="none">
               <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block font-family="Helvetica" font-size="6pt" space-after="1pt">Invoice date (tax point)</block>
                     <xsl:call-template name="un-out:invoice-date"/>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt" border-after-style="none">
               <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block font-family="Helvetica" font-size="6pt" space-after="1pt">Seller’s reference</block>
                     <xsl:call-template name="un-out:seller-reference"/>
                  </wrapper>
               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 32 ) * 1">
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt" border-end-style="none" border-after-style="none">
               <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block font-family="Helvetica" font-size="6pt" space-after="1pt">Buyer’s reference</block>
                     <xsl:call-template name="un-out:buyer-reference"/>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt" border-after-style="none">
               <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block font-family="Helvetica" font-size="6pt" space-after="1pt">Purchase order date</block>
                     <xsl:call-template name="un-out:po-date"/>
                  </wrapper>
               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 32 ) * 3">
            <table-cell number-rows-spanned="1" number-columns-spanned="8" border="solid 1pt" border-end-style="none" border-after-style="none">
               <block-container height="3 * ( 262mm div 32 ) -1pt" width="8 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block font-family="Helvetica" font-size="6pt" space-after="1pt">Consignee</block>
                     <xsl:call-template name="un-out:consignee-party"/>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="8" border="solid 1pt" border-after-style="none">
               <block-container height="3 * ( 262mm div 32 ) -1pt" width="8 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block font-family="Helvetica" font-size="6pt" space-after="1pt">Buyer</block>
                     <xsl:call-template name="un-out:buyer-party"/>
                  </wrapper>
               </block-container>
            </table-cell>
         </table-row>
      </table-body>
   </xsl:template>

<!--Branch: seller-party-->
   <xsl:template name="un-out:seller-party">
      <xsl:call-template name="un-in:seller-party"/>
   </xsl:template>
   <xsl:template name="un-in:seller-party">
      <block>
         <xsl:call-template name="un-out:party-information"/>
      </block>
   </xsl:template>

<!--Branch: party-information-->
   <xsl:template name="un-out:party-information">
      <xsl:call-template name="un-in:party-information"/>
   </xsl:template>
   <xsl:template name="un-in:party-information">
      <block>Party Name</block>
      <block>Bldg Street</block>
      <block>City, CountrySubEntity</block>
      <block>Postal</block>
      <block>Country</block>
   </xsl:template>

<!--Branch: in-number-->
   <xsl:template name="un-out:in-number">
      <xsl:call-template name="un-in:in-number"/>
   </xsl:template>
   <xsl:template name="un-in:in-number">
      <block>Invoice Number</block>
   </xsl:template>

<!--Branch: invoice-date-->
   <xsl:template name="un-out:invoice-date">
      <xsl:call-template name="un-in:invoice-date"/>
   </xsl:template>
   <xsl:template name="un-in:invoice-date">
      <block>
                    InvoiceDate
                  </block>
   </xsl:template>

<!--Branch: seller-reference-->
   <xsl:template name="un-out:seller-reference">
      <xsl:call-template name="un-in:seller-reference"/>
   </xsl:template>
   <xsl:template name="un-in:seller-reference">
      <block>
                    SellerRef
                  </block>
   </xsl:template>

<!--Branch: buyer-reference-->
   <xsl:template name="un-out:buyer-reference">
      <xsl:call-template name="un-in:buyer-reference"/>
   </xsl:template>
   <xsl:template name="un-in:buyer-reference">
      <block>
                    BuyerRef
                  </block>
   </xsl:template>

<!--Branch: po-date-->
   <xsl:template name="un-out:po-date">
      <xsl:call-template name="un-in:po-date"/>
   </xsl:template>
   <xsl:template name="un-in:po-date">
      <block>
                    PODate
                  </block>
   </xsl:template>

<!--Branch: consignee-party-->
   <xsl:template name="un-out:consignee-party">
      <xsl:call-template name="un-in:consignee-party"/>
   </xsl:template>
   <xsl:template name="un-in:consignee-party">
      <block>
         <xsl:call-template name="un-out:party-information"/>
      </block>
   </xsl:template>

<!--Branch: buyer-party-->
   <xsl:template name="un-out:buyer-party">
      <xsl:call-template name="un-in:buyer-party"/>
   </xsl:template>
   <xsl:template name="un-in:buyer-party">
      <block>
         <xsl:call-template name="un-out:party-information"/>
      </block>
   </xsl:template>

<!--Branch: buyer-bank-->
   <xsl:template name="un-out:buyer-bank">
      <xsl:call-template name="un-in:buyer-bank"/>
   </xsl:template>
   <xsl:template name="un-in:buyer-bank">
      <block>
         <xsl:call-template name="un-out:bank-detail"/>
      </block>
   </xsl:template>

<!--Branch: bank-detail-->
   <xsl:template name="un-out:bank-detail">
      <xsl:call-template name="un-in:bank-detail"/>
   </xsl:template>
   <xsl:template name="un-in:bank-detail">
                    BuyerBank
                  </xsl:template>

<!--Branch: payment-terms-->
   <xsl:template name="un-out:payment-terms">
      <xsl:call-template name="un-in:payment-terms"/>
   </xsl:template>
   <xsl:template name="un-in:payment-terms">
      <block>
                    PaymentTerms
                  </block>
   </xsl:template>

<!--Branch: payment-currency-->
   <xsl:template name="un-out:payment-currency">
      <xsl:call-template name="un-in:payment-currency"/>
   </xsl:template>
   <xsl:template name="un-in:payment-currency">
      <block>
                    Currency
                  </block>
   </xsl:template>

<!--Branch: seller-bank-->
   <xsl:template name="un-out:seller-bank">
      <xsl:call-template name="un-in:seller-bank"/>
   </xsl:template>
   <xsl:template name="un-in:seller-bank">
      <block>
         <xsl:call-template name="un-out:bank-detail"/>
      </block>
   </xsl:template>

<!--Branch: sort-code-->
   <xsl:template name="un-out:sort-code">
      <xsl:call-template name="un-in:sort-code"/>
   </xsl:template>
   <xsl:template name="un-in:sort-code">
      <block>SortCode</block>
   </xsl:template>

<!--Branch: account-number-->
   <xsl:template name="un-out:account-number">
      <xsl:call-template name="un-in:account-number"/>
   </xsl:template>
   <xsl:template name="un-in:account-number">
      <block>AccountNo.</block>
   </xsl:template>

<!--Branch: account-name-->
   <xsl:template name="un-out:account-name">
      <xsl:call-template name="un-in:account-name"/>
   </xsl:template>
   <xsl:template name="un-in:account-name">
      <block>AccountName</block>
   </xsl:template>

<!--Branch: line-item-body-->
   <xsl:template name="un-out:line-item-body">
      <xsl:call-template name="un-in:line-item-body"/>
   </xsl:template>
   <xsl:template name="un-in:line-item-body">
      <table-row height="( 262mm div 32 ) * 8">
         <table-cell number-rows-spanned="1" number-columns-spanned="2" border="solid 1pt" border-after-style="none" border-end-style="none">
            <block-container height="8 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
               <wrapper start-indent="2pt" end-indent="2pt">
                  <block font-family="Helvetica" font-size="6pt" space-after="1pt" text-align="center">Item / References</block>
                  <block>
                     <leader/>
                  </block>
               </wrapper>
            </block-container>
         </table-cell>
         <table-cell number-rows-spanned="1" number-columns-spanned="4" border-end-style="none" border="solid 1pt" border-after-style="none">
            <block-container height="8 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
               <wrapper start-indent="2pt" end-indent="2pt">
                  <block font-family="Helvetica" font-size="6pt" space-after="1pt">Description</block>
                  <block>
                     <leader/>
                  </block>
               </wrapper>
            </block-container>
         </table-cell>
         <table-cell number-rows-spanned="1" number-columns-spanned="2" border-start-style="none" border-end-style="none" border="solid 1pt" border-after-style="none">
            <block-container height="8 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
               <wrapper start-indent="2pt" end-indent="2pt">
                  <block font-family="Helvetica" font-size="6pt" space-after="1pt">Country of origin</block>
                  <block>
                     <leader/>
                  </block>
               </wrapper>
            </block-container>
         </table-cell>
         <table-cell number-rows-spanned="1" number-columns-spanned="2" border-start-style="none" border="solid 1pt" border-end-style="none" border-after-style="none">
            <block-container height="8 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
               <wrapper start-indent="2pt" end-indent="2pt">
                  <block font-family="Helvetica" font-size="6pt" space-after="1pt">Commodity code</block>
                  <block>
                     <leader/>
                  </block>
               </wrapper>
            </block-container>
         </table-cell>
         <table-cell number-rows-spanned="1" number-columns-spanned="2" border="solid 1pt" border-end-style="none" border-after-style="none">
            <block-container height="8 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
               <wrapper start-indent="2pt" end-indent="2pt">
                  <block font-family="Helvetica" font-size="6pt" space-after="1pt" text-align="center">Quantity</block>
                  <block>
                     <leader/>
                  </block>
               </wrapper>
            </block-container>
         </table-cell>
         <table-cell number-rows-spanned="1" number-columns-spanned="2" border="solid 1pt" border-end-style="none" border-after-style="none">
            <block-container height="8 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
               <wrapper start-indent="2pt" end-indent="2pt">
                  <block font-family="Helvetica" font-size="6pt" space-after="1pt" text-align="center">Unit price</block>
                  <block>
                     <leader/>
                  </block>
               </wrapper>
            </block-container>
         </table-cell>
         <table-cell number-rows-spanned="1" number-columns-spanned="2" border="solid 1pt" border-after-style="none">
            <block-container height="8 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
               <wrapper start-indent="2pt" end-indent="2pt">
                  <block font-family="Helvetica" font-size="6pt" space-after="1pt" text-align="center">Amount</block>
                  <block>
                     <leader/>
                  </block>
               </wrapper>
            </block-container>
         </table-cell>
      </table-row>
   </xsl:template>

<!--Branch: notes-->
   <xsl:template name="un-out:notes">
      <xsl:call-template name="un-in:notes"/>
   </xsl:template>
   <xsl:template name="un-in:notes">
      <block>Note</block>
   </xsl:template>

<!--Branch: total-amount-currency-->
   <xsl:template name="un-out:total-amount-currency">
      <xsl:call-template name="un-in:total-amount-currency"/>
   </xsl:template>
   <xsl:template name="un-in:total-amount-currency">
      <block text-align="end">
                    Currency
                  </block>
   </xsl:template>

<!--Branch: total-amount-->
   <xsl:template name="un-out:total-amount">
      <xsl:call-template name="un-in:total-amount"/>
   </xsl:template>
   <xsl:template name="un-in:total-amount">
      <block text-align="end">
                    TotalAmount
                </block>
   </xsl:template>

<!--Branch: tax-amount-->
   <xsl:template name="un-out:tax-amount">
      <xsl:call-template name="un-in:tax-amount"/>
   </xsl:template>
   <xsl:template name="un-in:tax-amount">
      <block text-align="end">
                    TaxAmount
                </block>
   </xsl:template>

<!--Branch: total-amount-due-currency-->
   <xsl:template name="un-out:total-amount-due-currency">
      <xsl:call-template name="un-in:total-amount-due-currency"/>
   </xsl:template>
   <xsl:template name="un-in:total-amount-due-currency">
      <block text-align="end">
                    Currency
                  </block>
   </xsl:template>

<!--Branch: total-amount-due-->
   <xsl:template name="un-out:total-amount-due">
      <xsl:call-template name="un-in:total-amount-due"/>
   </xsl:template>
   <xsl:template name="un-in:total-amount-due">
      <block text-align="end">
                    AmountDue
                </block>
   </xsl:template>

<!--Branch: signatory-->
   <xsl:template name="un-out:signatory">
      <xsl:call-template name="un-in:signatory"/>
   </xsl:template>
   <xsl:template name="un-in:signatory">
      <block>
                    Person
                  </block>
   </xsl:template>

<!--Branch: issue-->
   <xsl:template name="un-out:issue">
      <xsl:call-template name="un-in:issue"/>
   </xsl:template>
   <xsl:template name="un-in:issue">
      <block text-align-last="justify">
         <inline>City</inline>
         <inline xml:space="preserve"> </inline><inline>Ctry</inline><leader/><inline>Date</inline></block>
   </xsl:template>

<!--Branch: document-number-->
   <xsl:template name="un-out:document-number">
      <xsl:call-template name="un-in:document-number"/>
   </xsl:template>
   <xsl:template name="un-in:document-number">
      <block font-weight="bold" font-family="Helvetica" end-indent="2pt">
                  380
                </block>
   </xsl:template>

<!--Branch: background-other-pages-->
   <xsl:template name="un-out:background-other-pages">
      <xsl:call-template name="un-in:background-other-pages"/>
   </xsl:template>
   <xsl:template name="un-in:background-other-pages">
      <static-content flow-name="rest">
<!--draw the entire table as a background to the flow used for line items-->
         <table width="183mm + 10mm" table-layout="fixed">
            <table-column column-width="10mm"/>
            <table-column column-width="183mm div 2" number-columns-repeated="2"/>
            <table-body>
               <xsl:call-template name="un-out:titling"/>
               <table-row height="262mm - 5mm">
                  <table-cell number-columns-spanned="2" number-rows-spanned="2">
                     <table width="183mm" table-layout="fixed">
                        <table-column column-width="( 183mm div 16 )" number-columns-repeated="16"/>
                        <xsl:call-template name="un-out:form-header"/>
                        <table-body>
                           <table-row height="( 262mm div 32 ) * 26">
                              <table-cell number-rows-spanned="1" number-columns-spanned="2" border="solid 1pt" border-end-style="none">
                                 <block-container height="26 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt" text-align="center">Item / References</block>
                                       <block>
                                          <leader/>
                                       </block>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="1" number-columns-spanned="4" border-end-style="none" border="solid 1pt">
                                 <block-container height="26 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt">Description</block>
                                       <block>
                                          <leader/>
                                       </block>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="1" number-columns-spanned="2" border-end-style="none" border-start-style="none" border="solid 1pt">
                                 <block-container height="26 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt">Country of origin</block>
                                       <block>
                                          <leader/>
                                       </block>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="1" number-columns-spanned="2" border-end-style="none" border="solid 1pt" border-start-style="none">
                                 <block-container height="26 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt">Commodity code</block>
                                       <block>
                                          <leader/>
                                       </block>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="1" number-columns-spanned="2" border-end-style="none" border="solid 1pt">
                                 <block-container height="26 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt" text-align="center">Quantity</block>
                                       <block>
                                          <leader/>
                                       </block>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="1" number-columns-spanned="2" border="solid 1pt" border-end-style="none">
                                 <block-container height="26 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt" text-align="center">Unit price</block>
                                       <block>
                                          <leader/>
                                       </block>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                              <table-cell number-rows-spanned="1" number-columns-spanned="2" border="solid 1pt">
                                 <block-container height="26 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                                    <wrapper start-indent="2pt" end-indent="2pt">
                                       <block font-family="Helvetica" font-size="6pt" space-after="1pt" text-align="center">Amount</block>
                                       <block>
                                          <leader/>
                                       </block>
                                    </wrapper>
                                 </block-container>
                              </table-cell>
                           </table-row>
                        </table-body>
                     </table>
<!--back to surrounding table-->
                  </table-cell>
               </table-row>
               <table-row>
                  <table-cell display-align="after">
                     <block text-align="end">
                        <xsl:call-template name="un-out:document-number"/>
                     </block>
                  </table-cell>
               </table-row>
            </table-body>
         </table>
      </static-content>
   </xsl:template>

<!--Branch: other-reference-->
   <xsl:template name="un-out:other-reference">
      <xsl:call-template name="un-in:other-reference"/>
   </xsl:template>
   <xsl:template name="un-in:other-reference">
      <block>
                    PODate
                  </block>
   </xsl:template>

<!--Branch: line-item-flow-->
   <xsl:template name="un-out:line-item-flow">
      <xsl:call-template name="un-in:line-item-flow"/>
   </xsl:template>
   <xsl:template name="un-in:line-item-flow">
<!--flow the line items over top of the static backgrounds of all pages-->
      <table width="183mm" table-layout="fixed">
         <table-column column-width="( 183mm div 16 )" number-columns-repeated="16"/>
         <table-body>
            <xsl:call-template name="un-out:line-item-detail"/>
         </table-body>
      </table>
<!--escape for the addition of HTML trailer-->
      <block>
         <xsl:call-template name="un-out:meta-data-after"/>
      </block>
<!--mark the end of the document for page numbering-->
      <block id="end"/>
   </xsl:template>

<!--Branch: line-item-detail-->
   <xsl:template name="un-out:line-item-detail">
      <xsl:call-template name="un-in:line-item-detail"/>
   </xsl:template>
   <xsl:template name="un-in:line-item-detail">
      <xsl:call-template name="un-out:line-item-spacer"/>
      <xsl:call-template name="un-out:line-item"/>
   </xsl:template>

<!--Branch: line-item-spacer-->
   <xsl:template name="un-out:line-item-spacer">
      <xsl:call-template name="un-in:line-item-spacer"/>
   </xsl:template>
   <xsl:template name="un-in:line-item-spacer">
      <table-row font-size=".5em">
         <table-cell number-columns-spanned="2" border="solid 1pt" border-before-style="none" border-after-style="none" border-start-style="{$line-item-border}" border-end-style="{$line-item-border}">
            <block>
               <leader/>
            </block>
         </table-cell>
         <table-cell number-columns-spanned="4" border="solid 1pt" border-before-style="none" border-after-style="none" border-start-style="{$line-item-border}" border-end-style="{$line-item-border}">
            <block>
               <leader/>
            </block>
         </table-cell>
         <table-cell number-columns-spanned="2" border="solid 1pt" border-before-style="none" border-after-style="none" border-start-style="{$line-item-border}" border-end-style="{$line-item-border}">
            <block>
               <leader/>
            </block>
         </table-cell>
         <table-cell number-columns-spanned="2" border="solid 1pt" border-before-style="none" border-after-style="none" border-start-style="{$line-item-border}" border-end-style="{$line-item-border}">
            <block>
               <leader/>
            </block>
         </table-cell>
         <table-cell number-columns-spanned="2" border="solid 1pt" border-before-style="none" border-after-style="none" border-start-style="{$line-item-border}" border-end-style="{$line-item-border}">
            <block>
               <leader/>
            </block>
         </table-cell>
         <table-cell number-columns-spanned="2" border="solid 1pt" border-before-style="none" border-after-style="none" border-start-style="{$line-item-border}" border-end-style="{$line-item-border}">
            <block>
               <leader/>
            </block>
         </table-cell>
         <table-cell number-columns-spanned="2" border="solid 1pt" border-before-style="none" border-after-style="none" border-start-style="{$line-item-border}" border-end-style="{$line-item-border}">
            <block>
               <leader/>
            </block>
         </table-cell>
      </table-row>
   </xsl:template>

<!--Branch: line-item-->
   <xsl:template name="un-out:line-item">
      <xsl:call-template name="un-in:line-item"/>
   </xsl:template>
   <xsl:template name="un-in:line-item">
      <table-row keep-together.within-page="always">
         <table-cell number-columns-spanned="2" border="solid 1pt" border-before-style="none" border-after-style="none" border-start-style="{$line-item-border}" border-end-style="{$line-item-border}">
            <xsl:call-template name="un-out:line-ref"/>
         </table-cell>
         <table-cell number-columns-spanned="4" border="solid 1pt" border-before-style="none" border-after-style="none" border-start-style="{$line-item-border}" border-end-style="{$line-item-border}">
            <xsl:call-template name="un-out:line-desc"/>
         </table-cell>
         <table-cell number-columns-spanned="2" border="solid 1pt" border-before-style="none" border-after-style="none" border-start-style="{$line-item-border}" border-end-style="{$line-item-border}">
            <xsl:call-template name="un-out:line-country"/>
         </table-cell>
         <table-cell number-columns-spanned="2" border="solid 1pt" border-before-style="none" border-after-style="none" border-start-style="{$line-item-border}" border-end-style="{$line-item-border}">
            <xsl:call-template name="un-out:line-commodity"/>
         </table-cell>
         <table-cell number-columns-spanned="2" border="solid 1pt" border-before-style="none" border-after-style="none" border-start-style="{$line-item-border}" border-end-style="{$line-item-border}">
            <xsl:call-template name="un-out:line-quantity"/>
         </table-cell>
         <table-cell number-columns-spanned="2" border="solid 1pt" border-before-style="none" border-after-style="none" border-start-style="{$line-item-border}" border-end-style="{$line-item-border}">
            <xsl:call-template name="un-out:line-price"/>
         </table-cell>
         <table-cell number-columns-spanned="2" border="solid 1pt" border-before-style="none" border-after-style="none" border-start-style="{$line-item-border}" border-end-style="{$line-item-border}">
            <xsl:call-template name="un-out:line-amount"/>
         </table-cell>
      </table-row>
   </xsl:template>

<!--Branch: line-ref-->
   <xsl:template name="un-out:line-ref">
      <xsl:call-template name="un-in:line-ref"/>
   </xsl:template>
   <xsl:template name="un-in:line-ref">
      <block start-indent="2pt" end-indent="2pt" text-align-last="justify" text-align="start">
         <inline>BuyerID</inline>
         <inline xml:space="preserve"> </inline><inline keep-together="always"><leader leader-length.optimum="1pt"/><inline keep-together="always">
                    SellerID
                  </inline></inline></block>
   </xsl:template>

<!--Branch: line-desc-->
   <xsl:template name="un-out:line-desc">
      <xsl:call-template name="un-in:line-desc"/>
   </xsl:template>
   <xsl:template name="un-in:line-desc">
      <block start-indent="2pt" end-indent="2pt">Description</block>
   </xsl:template>

<!--Branch: line-country-->
   <xsl:template name="un-out:line-country">
      <xsl:call-template name="un-in:line-country"/>
   </xsl:template>
   <xsl:template name="un-in:line-country">
      <block start-indent="2pt" end-indent="2pt">CountryOrig</block>
   </xsl:template>

<!--Branch: line-commodity-->
   <xsl:template name="un-out:line-commodity">
      <xsl:call-template name="un-in:line-commodity"/>
   </xsl:template>
   <xsl:template name="un-in:line-commodity">
      <block start-indent="2pt" end-indent="2pt">Comm.Code</block>
   </xsl:template>

<!--Branch: line-quantity-->
   <xsl:template name="un-out:line-quantity">
      <xsl:call-template name="un-in:line-quantity"/>
   </xsl:template>
   <xsl:template name="un-in:line-quantity">
      <block start-indent="2pt" end-indent="2pt" text-align="center">
                Qty
              </block>
   </xsl:template>

<!--Branch: line-price-->
   <xsl:template name="un-out:line-price">
      <xsl:call-template name="un-in:line-price"/>
   </xsl:template>
   <xsl:template name="un-in:line-price">
      <block start-indent="2pt" end-indent="2pt" text-align="center">
                UnitPrice
              </block>
   </xsl:template>

<!--Branch: line-amount-->
   <xsl:template name="un-out:line-amount">
      <xsl:call-template name="un-in:line-amount"/>
   </xsl:template>
   <xsl:template name="un-in:line-amount">
      <block start-indent="2pt" end-indent="2pt" text-align="center">
                indivAmount
              </block>
   </xsl:template>

<!--Branch: meta-data-after-->
   <xsl:template name="un-out:meta-data-after">
      <xsl:call-template name="un-in:meta-data-after"/>
   </xsl:template>
   <xsl:template name="un-in:meta-data-after"/>
</xsl:stylesheet>